Update a saved filter for your organization
https://app.fossa.com/api/issue-filters/{filterId}Update a saved filter for your organization. The filter must be owned by the user's organization. This endpoint requires a **Premium** subscription.
Path parameters
filterIdintegerrequiredThe ID of the saved filter.
Request body (required) · application/json
namestringfilterobjectsortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevisionResponses
200Saved filter updated successfullyidintegernamestringcategoryenumlicensingvulnerabilityqualityfilterobjectA JSON object representing the specific filter criteria.
sortenumCan be any of the sort options related to issue or revision.
severity_ascseverity_descissue_count_ascissue_count_desccreated_at_asccreated_at_descpackage_ascpackage_descepss_ascepss_descgroupenumissuerevision400Invalid or missing ID.403Returned when the request is forbidden. This can happen for two reasons:
- The organization is not on a **Premium** subscription.
- The user lacks permission to edit issue filters for the relevant category.
404No filter was found with the given ID for the user's organization.uuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/issue-filters/1curl --request PUT \ --url 'https://app.fossa.com/api/issue-filters/1' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "name": "string", "filter": { "type": "policy_conflict", "identification": "declared", "packageManagers": [ "string" ], "projectLabels": [ "string" ], "search": "string", "ticketed": "jira" }, "sort": "severity_asc", "group": "issue"}'Real request. Mutating methods can change data.
Path params
filterIdintegerrequiredThe ID of the saved filter.